moeoNormalizedSolutionVsSolutionBinaryMetric(3)

NAME
moeoNormalizedSolutionVsSolutionBinaryMetric - Base class for binary metrics dedicated to the performance comparison between two solutions's objective vectors using normalized values.

SYNOPSIS

#include <moeoNormalizedSolutionVsSolutionBinaryMetric.h>

Inherits moeoSolutionVsSolutionBinaryMetric< ObjectiveVector, R >< ObjectiveVector, R >.

  Public Member Functions
moeoNormalizedSolutionVsSolutionBinaryMetric ()
Default ctr for any moeoNormalizedSolutionVsSolutionBinaryMetric object.
void setup (double _min, double _max, unsigned int _obj)
Sets the lower bound (_min) and the upper bound (_max) for the objective _obj.
virtual void setup (eoRealInterval _realInterval, unsigned int _obj)
Sets the lower bound and the upper bound for the objective _obj using a eoRealInterval object.

  Static Public Member Functions
static double tiny ()
Returns a very small value that can be used to avoid extreme cases (where the min bound == the max bound).

  Protected Attributes
std::vector< eoRealInterval > bounds
the bounds for every objective (bounds[i] = bounds for the objective i)

Detailed Description

  template<class ObjectiveVector, class R> class moeoNormalizedSolutionVsSolutionBinaryMetric< ObjectiveVector, R >
Base class for binary metrics dedicated to the performance comparison between two solutions's objective vectors using normalized values. Then, indicator values lie in the interval [-1,1]. Note that you have to set the bounds for every objective before using the operator().

Definition at line 26 of file moeoNormalizedSolutionVsSolutionBinaryMetric.h.

Member Function Documentation

  template<class ObjectiveVector, class R> void moeoNormalizedSolutionVsSolutionBinaryMetric< ObjectiveVector, R >::setup (double _min, double _max, unsigned int _obj) [inline]

Sets the lower bound (_min) and the upper bound (_max) for the objective _obj.

Parameters:
    _min lower bound
    _max upper bound
    _obj the objective index

Definition at line 50 of file moeoNormalizedSolutionVsSolutionBinaryMetric.h.

Referenced by moeoReferencePointIndicatorBasedFitnessAssignment< MOEOT >::setup(), and moeoExpBinaryIndicatorBasedFitnessAssignment< MOEOT >::setup().

  template<class ObjectiveVector, class R> virtual void moeoNormalizedSolutionVsSolutionBinaryMetric< ObjectiveVector, R >::setup (eoRealInterval _realInterval, unsigned int _obj) [inline, virtual]

Sets the lower bound and the upper bound for the objective _obj using a eoRealInterval object.

Parameters:
    _realInterval the eoRealInterval object
    _obj the objective index

Definition at line 66 of file moeoNormalizedSolutionVsSolutionBinaryMetric.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.